2

Googale (גוגלה) is a Hebrew children's educational website designed for pre-K ages (4-5).

It is currently based on Microsoft Silverlight 5.1 technology.

Since Chrome and Firefox have recently discontinued their support in npapi plugins, Silverlight being one of them, Googale does not run out of the box on Ubuntu.

Has anyone been able to get it to work on Ubuntu?

4

Two evenings of research, trial and error, led me to get it running on my Ubuntu.

If you want to get it running on Ubuntu you would have to follow these steps.

Please note that I tested it only on my box which is Ubuntu 16.04

  1. install Firefox Extended Support Release that can the Silverlight plugin

    1.1 To prevent your all this hard work from being viciously reverted by firefox-ESR being updated automatically and replace with a regular firefox that can't run silverlight, I recommend holding the firefox version thus preventing the package manage from updating firefox. see more at this post

    sudo apt-mark hold firefox 
    
  2. install pipelight and Microsoft font packages. The font package is needed to display Hebrew fonts, specifically Arial.

    sudo add-apt-repository ppa:pipelight/stable
    sudo apt-get update
    sudo apt-get install pipelight-multi ttf-mscorefonts-installer
    sudo pipelight-plugin --update
    
  3. enable Silverlight

    sudo pipelight-plugin --enable silverlight #Agree to licensing, but DO NOT touch wininit
    sudo pipelight-plugin --create-mozilla-plugins #In case you don't see the Wine dialogs
    

    If all went well, you should see some prompts about Wine downloading and installing Silverlight 5.1 when you start Firefox. But you're not done yet. Do the following to refresh the plugin database, since at least in my experience, Silverlight does not show in Firefox right away;

    • Go to about:support and open your profile directory.
    • exit your browser
    • delete from your profile directory pluginreg.dat

    See more at this community post about pipelight

  4. start firefox, go to gogale website and enjoy

1
  • You should add that the Pipelight PPA is for 16.04 and older only. It seems it won't be updated. – user589808 Mar 15 '17 at 21:42

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.